OpenMetal
API referenceOperations

Get Operation

GET
/v1/operations/{operation_id}

Authorization

bearerAuth
AuthorizationBearer <token>

Use a project API key for sandbox and runtime routes, or an OpenMetal user access token for account management routes.

In: header

Path Parameters

operation_id*string
Match^op_[A-Za-z0-9]+$

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/operations/string"
{  "id": "string",  "project_id": "string",  "type": "sandbox_create",  "state": "queued",  "resource_type": "sandbox",  "resource_id": "string",  "retryable": true,  "error": {    "code": "string",    "message": "string",    "retryable": true,    "details": {      "property1": null,      "property2": null    }  },  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z"}